## concordance 1.2

=== consnoop/Makefile ===
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# 
# (C) Copyright Phil Dibowitz 2007
# 

PREFIX?=/usr
BIN=bin
BINDIR=$(PREFIX)/$(BIN)
INSTALL?=/usr/bin/install
STRIP?=/usr/bin/strip
MAN?=$(PREFIX)/share/man

CXX?= g++
CXXFLAGS?= -g -Wall -O2
CXXFILES?= consnoop.cpp
LIBS?=
CPPFLAGS?=

all: consnoop

consnoop: $(CXXFILES)
	$(CXX) $(CXXFLAGS) $(CXXFILES) -o consnoop $(CPPFLAGS)

install: consnoop
	$(INSTALL) -m 0755 consnoop $(BINDIR)
	

clean:
	/bin/rm -f consnoop

## concordance 0.22

=== debian/changelog ===
concordance (0.22-3) unstable; urgency=low

  * Include flash size detection patch that should fix data loss errors
    when flashing a Harmony 525. (Closes: 594615)
    - add debian/patches/h525-flash-size-detection.patch
    - update debian/patches/series
  * Also update the maintainer field due to GPG key change.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Sat, 27 Nov 2010 22:30:31 -0500

concordance (0.22-2) unstable; urgency=low

  * Change the expected ABI numbers in python bindings. It was bumped
    upstream to 2 by mistake, fixed in svn. (Closes: 593825)

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Sun, 22 Aug 2010 18:46:08 -0400

concordance (0.22-1) unstable; urgency=low

  * New upstream release 0.22. (Closes: 591679)
  * Patch gen_udev_support to write nice rules with ATTR (Closes: 567871)
    - add debian/patches/03-attr-syntax-in-udev-rules.diff
  * Update Standards-Version to 3.9.1
  * Migrate to source format 3.0 (quilt).

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 04 Aug 2010 14:35:14 -0400

concordance (0.21-5) unstable; urgency=low

  * Remove HAL ACL, PolicyKit support (Closes: 559044)
    - Not building these also fixes non-root access (Closes: 560427)
  * Uniformize Description fields
    - updated debian/control

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Sat, 12 Dec 2009 23:58:07 -0500

concordance (0.21-4) unstable; urgency=low

  * Re-renamed python-concordance to python-libconcord.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 19 Aug 2009 14:51:39 -0400

concordance (0.21-3) unstable; urgency=low

  * Migrated to section utils, priority optional.
  * Bumped Standards-Version to 3.8.3
  * Added README.source as per new policy.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Wed, 19 Aug 2009 10:45:06 -0400

concordance (0.21-2) unstable; urgency=low

  * Renamed python-concordance to python-libconcord as per Python policy.

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Tue, 28 Jul 2009 14:07:21 -0400

concordance (0.21-1) unstable; urgency=low

  * Initial package (closes: #512597)
  * Software was repackaged from tar.bz2 to tar.gz

 -- Mathieu Trudel <mathieu.tl@gmail.com>  Mon, 27 Jul 2009 08:29:19 -0400

=== debian/control ===
Source: concordance
Section: utils
Priority: optional
Homepage: http://sourceforge.net/projects/concordance
Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
XS-Python-Version: all
Build-Depends: debhelper (>= 5.0.38), libusb-dev, python-all-dev, python-central (>= 0.5.6), quilt (>= 0.46-7~)
Standards-Version: 3.9.1

Package: concordance
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Harmony remote configuration tool
 The concordance software suite  allows you to program your Logitech Harmony
 remote using a configuration object retreived from the harmony website.
 The Logitech Harmony is a highly configuration universal remote than can
 control most multimedia devices.
 .
 This package contains the binary utility to control and configure the Harmony
 remote.

Package: libconcord1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Harmony remote configuration tool - runtime libraries
 The concordance software suite  allows you to program your Logitech Harmony
 remote using a configuration object retreived from the harmony website.
 The Logitech Harmony is a highly configuration universal remote than can
 control most multimedia devices.
 .
 This package contains the C Libraries for the concordance framework.

Package: libconcord1-dev
Architecture: any
Section: libdevel
Depends: libconcord1 (= ${binary:Version}), ${misc:Depends}
Description: Harmony remote configuration tool - development files
 The concordance software suite  allows you to program your Logitech Harmony
 remote using a configuration object retreived from the harmony website.
 The Logitech Harmony is a highly configuration universal remote than can
 control most multimedia devices.
 .
 This package contains the C libraries development files for the concordance
 framework.

Package: python-libconcord
Architecture: all
Section: python
XB-Python-Version: ${python:Versions}
Depends: libconcord1 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Harmony remote configuration tool - Python bindings
 The concordance software suite  allows you to program your Logitech Harmony
 remote using a configuration object retreived from the harmony website.
 The Logitech Harmony is a highly configuration universal remote than can
 control most multimedia devices.
 .
 This package contains the Python bindings for the concordance framework.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

get-orig-source:
	@@dh_testdir
	@@cd ${DEBIAN_DIR}/.. && \
	version=$$(uscan --force-download --dehs | \
		sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
		bzcat ../concordance-$${version}.tar.bz2 | gzip -9fn -c - > \
		${CURDIR}/${DEB_SOURCE_PACKAGE}_$${version}.orig.tar.gz

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp build-ext-* configure-stamp
	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )
	( cd concordance/ && [ ! -f Makefile ] || $(MAKE) clean )
	find . -name *\.py[co] -exec rm {} \;
	rm -f patch-stamp
	dh_quilt_unpatch
	dh_clean

patch: patch-stamp
patch-stamp:
	dh_testdir
	dh_quilt_patch
	touch $@

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	( cd libconcord/ && ./configure --prefix=/usr --sysconfdir=/etc )
	( cd concordance/ && CFLAGS=" -L../libconcord " CPPFLAGS=" -I../libconcord " ./configure --prefix=/usr )
	touch $@

build: build-stamp $(PYVERS:%=build-ext-%)
build-stamp: configure
	dh_testdir
	( cd libconcord/ && $(MAKE) )
	( cd libconcord/ && $(MAKE) udev )
	( cd concordance/ && $(MAKE) )
	touch $@
build-ext-%:
	( cd libconcord/bindings/python && python$* ./setup.py build )
	touch $@

install: install-stamp $(PYVERS:%=install-ext-%)
install-stamp: build
	dh_testdir
	dh_testroot
	dh_clean -k
	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
	mv $(CURDIR)/debian/tmp/etc/udev/rules.d/99-libconcord.rules $(CURDIR)/debian/libconcord1.udev
	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/concordance install )
	touch $@
install-ext-%:
	( cd libconcord/bindings/python && python$* ./setup.py install --root=$(CURDIR)/debian/python-libconcord )

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i Changelog
	dh_installdocs -i
	dh_pycentral -ppython-libconcord
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a Changelog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installudev -plibconcord1
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure patch

## concordance 0.23

=== debian/changelog ===
concordance (0.23-2) unstable; urgency=low

  * debian/patches/h525-flash-size-detection.patch: reinstate patch for the
    Harmony 525 flash size; seems it wasn't actually contained in the last
    upstream release. (Closes: #630162, #641148)
  * debian/control:
    - bump Standards-Version.
    - drop quilt Build-Depends.
    - drop XB-Python-Version, XS-Python-Version.
    - properly set python-all-dev Build-Depends version to (>= 2.6.6-3~).
    - set Section: libs for libconcord2.
  * debian/control, debian/compat: switch to using debhelper 8; bump compat.
  * debian/rules: switch to using the DH sequencer, do extra cleanup after the
    build process.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Mon, 12 Sep 2011 18:30:30 -0400

concordance (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621157).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 15:19:01 +0200

concordance (0.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support.

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 11 May 2011 20:25:07 +0200

concordance (0.23-1) unstable; urgency=low

  * New upstream release. (Closes: #608142)
  * debian/patches/h525-flash-size-detection.patch: applied upstream.
  * debian/patches/593825-fix-py-expected-abi.diff: no longer necessary
    (ABI was really bumped).
  * debian/rules: replace dh_pycentral call with dh_python2.
    (Closes: 616780)
  * debian/control: drop Build-Depends on python-central.
  * debian/control: bump soname version in package name for libs, also
    drop the soname version number in the development package name.
  * debian/libconcord1-dev.install: renamed to libconcord-dev.install.
  * debian/libconcord1.install: renamed to libconcord2.install.
  * debian/rules: update mentions of libconcord1 to libconcord2.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 29 Mar 2011 20:18:44 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Homepage: http://sourceforge.net/projects/concordance
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
-XS-Python-Version: all
-Build-Depends: debhelper (>= 5.0.38), libusb-dev, python-all-dev, python-central (>= 0.5.6), quilt (>= 0.46-7~)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), libusb-dev, python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.2
 
 Package: concordance
 Architecture: any
@@ -19,8 +18,9 @@
  This package contains the binary utility to control and configure the Harmony
  remote.
 
-Package: libconcord1
+Package: libconcord2
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Harmony remote configuration tool - runtime libraries
  The concordance software suite  allows you to program your Logitech Harmony
@@ -30,10 +30,10 @@
  .
  This package contains the C Libraries for the concordance framework.
 
-Package: libconcord1-dev
+Package: libconcord-dev
 Architecture: any
 Section: libdevel
-Depends: libconcord1 (= ${binary:Version}), ${misc:Depends}
+Depends: libconcord2 (= ${binary:Version}), ${misc:Depends}
 Description: Harmony remote configuration tool - development files
  The concordance software suite  allows you to program your Logitech Harmony
  remote using a configuration object retreived from the harmony website.
@@ -46,8 +46,7 @@
 Package: python-libconcord
 Architecture: all
 Section: python
-XB-Python-Version: ${python:Versions}
-Depends: libconcord1 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
+Depends: libconcord2 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Harmony remote configuration tool - Python bindings
  The concordance software suite  allows you to program your Logitech Harmony

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)

DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )

%:
	dh $@ --with python2

override_dh_auto_clean:
	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )
	rm -f libconcord/Makefile libconcord/config.h \
		libconcord/config.status libconcord/config.log \
		libconcord/libconcord.rules \
		libconcord/libtool libconcord/stamp-h1
	rm -rf libconcord/bindings/python/build
	( cd concordance/ && [ ! -f Makefile ] || $(MAKE) clean )
	rm -f concordance/Makefile concordance/config.h \
		concordance/config.status concordance/config.log \
		concordance/libtool concordance/stamp-h1
	find . -name *\.py[co] -exec rm {} \;
	rm -f build-ext-* install-ext-*
	dh_auto_clean

override_dh_auto_configure:
	( cd libconcord/ && ./configure --prefix=/usr --sysconfdir=/etc )
	( cd concordance/ && CFLAGS=" -L../libconcord " CPPFLAGS=" -I../libconcord " ./configure --prefix=/usr )

build-ext-%:
	( cd libconcord/bindings/python && python$* ./setup.py build )
	touch $@

override_dh_auto_build: $(PYVERSL%=build-ext-%)
	( cd libconcord/ && $(MAKE) )
	( cd libconcord/ && $(MAKE) udev )
	( cd concordance/ && $(MAKE) )

install-ext-%:
	( cd libconcord/bindings/python && python$* ./setup.py install --root=$(CURDIR)/debian/python-libconcord )

override_dh_auto_install: $(PYVERS:%=install-ext-%)
	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
	mv $(CURDIR)/debian/tmp/etc/udev/rules.d/99-libconcord.rules $(CURDIR)/debian/libconcord2.udev
	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/concordance install )

get-orig-source:
	@@dh_testdir
	@@cd ${DEBIAN_DIR}/.. && \
	version=$$(uscan --force-download --dehs | \
		sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
		bzcat ../concordance-$${version}.tar.bz2 | gzip -9fn -c - > \
		${CURDIR}/${DEB_SOURCE_PACKAGE}_$${version}.orig.tar.gz

## concordance 0.24

=== debian/changelog ===
concordance (0.24-1.1) unstable; urgency=high

  * Non-maintainer upload from package sponsor.
  * libconcord-dev: Add missing breaks and replaces against the old
    libconcord1-dev package. Thanks to Andreas Beckmann.
    Closes: #694284

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 28 Nov 2012 10:15:29 +0100

concordance (0.24-1) unstable; urgency=low

  * New upstream release.
    - Fixes building with GCC 4.7 (Closes: #667140)
  * debian/patches/03-attr-syntax-in-udev-rules.diff: dropped, applied upstream.
  * debian/patches/h525-flash-size-detection.patch: dropped, applied upstream.
  * debian/rules: the udev rule file was renamed, so use the new name to move
    it back under debian/libconcord2.udev. 
  * debian/control: bump Standards-Version to 3.9.3.
  * debian/copyright: fix Format-Specification url and some small typos.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Fri, 13 Apr 2012 10:42:25 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: http://sourceforge.net/projects/concordance
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Build-Depends: debhelper (>= 8), libusb-dev, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 
 Package: concordance
 Architecture: any
@@ -34,6 +34,8 @@
 Architecture: any
 Section: libdevel
 Depends: libconcord2 (= ${binary:Version}), ${misc:Depends}
+Breaks: libconcord1-dev
+Replaces: libconcord1-dev
 Description: Harmony remote configuration tool - development files
  The concordance software suite  allows you to program your Logitech Harmony
  remote using a configuration object retreived from the harmony website.

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 override_dh_auto_install: $(PYVERS:%=install-ext-%)
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
-	mv $(CURDIR)/debian/tmp/etc/udev/rules.d/99-libconcord.rules $(CURDIR)/debian/libconcord2.udev
+	mv $(CURDIR)/debian/tmp/etc/udev/rules.d/60-libconcord.rules $(CURDIR)/debian/libconcord2.udev
 	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/concordance install )
 
 get-orig-source:

## concordance 1.0

=== debian/changelog ===
concordance (1.0-2ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use dh-autoreconf to get new libtool macros for ppc64el.
    - Disable -Werror for automake to fix FTBFS while autoreconfing in
      libconcord.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Feb 2014 12:21:18 -0500

concordance (1.0-2) unstable; urgency=medium

  * debian/patches/conditionally_run_iptables.patch: fix the concordance dhcpd
    startup scripts used by some remotes for non-linux: they can't run iptables
    and we only really use it to punch through the firewall for DHCP to work.
    (Closes: #720311)
  * debian/control: drop concordance-common Depends: for iptables to a Suggests.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 04 Feb 2014 19:24:48 -0500

concordance (1.0-1ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
  * Disable -Werror for automake to fix FTBFS while autoreconfing in
    libconcord.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 21:21:54 -0500

concordance (1.0-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 01 Jan 2014 20:47:11 -0500

concordance (1.0-1) unstable; urgency=low

  [ Scott Talbert ]
  * New upstream release (Closes: #707612)

  [ Mathieu Trudel-Lapierre ]
  * Acknowledge NMU (Closes: #694597)
  * debian/control:
    - Bump to debhelper 9. Update compat.
    - Rename libconcord2 to libconcord3 to go with soname change.
    - Remove .la and .a files.
    - Update descriptions. (Closes: #681378)
    - Add concordance-common package for udev rules and scripts.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Sat, 15 Jun 2013 15:28:39 -0400

=== debian/control ===
Source: concordance
Section: utils
Priority: optional
Homepage: http://sourceforge.net/projects/concordance
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
Build-Depends: debhelper (>= 9), libusb-dev, python-all-dev (>= 2.6.6-3~), libzzip-dev, dh-autoreconf
Standards-Version: 3.9.3

Package: concordance
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, concordance-common
Description: configuration tool for Harmony remotes
 The Logitech Harmony is a highly configurable universal IR remote control
 compatible with most multimedia devices. The concordance software suite
 allows you to program such remotes using a configuration object retrieved
 from the harmonyremote.com website.
 .
 This package contains the binary utility to control and configure the Harmony
 remote.

Package: libconcord3
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: concordance-common
Description: configuration tool for Harmony remotes - runtime libraries
 The Logitech Harmony is a highly configurable universal IR remote control
 compatible with most multimedia devices. The concordance software suite
 allows you to program such remotes using a configuration object retrieved
 from the harmonyremote.com website.
 .
 This package contains the C libraries for the concordance framework.

Package: libconcord-dev
Architecture: any
Section: libdevel
Depends: libconcord3 (= ${binary:Version}), ${misc:Depends}
Breaks: libconcord1-dev
Replaces: libconcord1-dev
Description: configuration tool for Harmony remotes - development files
 The Logitech Harmony is a highly configurable universal IR remote control
 compatible with most multimedia devices. The concordance software suite
 allows you to program such remotes using a configuration object retrieved
 from the harmonyremote.com website.
 .
 This package contains the development files for the concordance framework.

Package: python-libconcord
Architecture: all
Section: python
Depends: libconcord3 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Harmony remote configuration tool - Python bindings
 The Logitech Harmony is a highly configurable universal IR remote control
 compatible with most multimedia devices. The concordance software suite
 allows you to program such remotes using a configuration object retrieved
 from the harmonyremote.com website.
 .
 This package contains the Python bindings for the concordance framework.

Package: concordance-common
Architecture: all
Section: utils
Depends: ${misc:Depends}, dnsmasq-base
Suggests: iptables
Description: Harmony remote configuration tool - common files
 The Logitech Harmony is a highly configurable universal IR remote control
 compatible with most multimedia devices. The concordance software suite
 allows you to program such remotes using a configuration object retrieved
 from the harmonyremote.com website.
 .
 This package contains the common files for the concordance framework.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,autoreconf
 
 override_dh_auto_clean:
 	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )
@@ -23,11 +23,12 @@
 		concordance/libtool concordance/stamp-h1
 	find . -name *\.py[co] -exec rm {} \;
 	rm -f build-ext-* install-ext-*
+	rm -f libconcord/libconcord-usbnet.rules
 	dh_auto_clean
 
 override_dh_auto_configure:
 	( cd libconcord/ && ./configure --prefix=/usr --sysconfdir=/etc )
-	( cd concordance/ && CFLAGS=" -L../libconcord " CPPFLAGS=" -I../libconcord " ./configure --prefix=/usr )
+	( cd concordance/ && CFLAGS=" -L../libconcord/.libs " CPPFLAGS=" -I../libconcord " ./configure --prefix=/usr )
 
 build-ext-%:
 	( cd libconcord/bindings/python && python$* ./setup.py build )
@@ -44,8 +45,12 @@
 override_dh_auto_install: $(PYVERS:%=install-ext-%)
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
-	mv $(CURDIR)/debian/tmp/etc/udev/rules.d/60-libconcord.rules $(CURDIR)/debian/libconcord2.udev
-	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/concordance install )
+	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
+
+override_dh_install:
+	find $(CURDIR)/debian -name *.la -delete
+	find $(CURDIR)/debian -name *.a -delete
+	dh_install --fail-missing
 
 get-orig-source:
 	@@dh_testdir

=== debian/watch ===
version=3

http://sf.net/concordance/concordance-(.*)\.tar\.bz2

## concordance 1.1

=== debian/changelog ===
concordance (1.1-3) unstable; urgency=medium

  [ Scott Talbert ]
  * Include patch from upstream to fix crash during website communications
    (Closes: #774014)

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Thu, 08 Jan 2015 11:18:04 -0500

concordance (1.1-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Fix kFreeBSD build - use hidapi which is now available (Closes: #754686)

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Tue, 07 Oct 2014 22:56:47 -0400

concordance (1.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #743051)
  * Merge in changes from Ubuntu.
    - Use autoreconf to regenerate macros for ppc64el.
  * debian/control:
    - Make non-linux-any systems keep libusb-dev; linux-any systems now build
      against libhidapi, so libhidapi-dev was added to build-depends.
    - Drop build-dep on libzzip-dev; use libzip-dev instead.
    - Bump Standards-Version to 3.9.5
  * debian/patches/handle_kfreebsd_hurd.patch: make sure the build system
    recognizes kfreebsd/hurd systems as requiring libusb rather than libhidapi.

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Wed, 23 Apr 2014 19:59:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: utils
 Priority: optional
 Homepage: http://sourceforge.net/projects/concordance
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
-Build-Depends: debhelper (>= 9), libusb-dev, python-all-dev (>= 2.6.6-3~), libzzip-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
+Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), pkg-config, libzip-dev, dh-autoreconf
+Standards-Version: 3.9.5
 
 Package: concordance
 Architecture: any
@@ -61,7 +60,6 @@
 
 Package: concordance-common
 Architecture: all
-Section: utils
 Depends: ${misc:Depends}, dnsmasq-base
 Suggests: iptables
 Description: Harmony remote configuration tool - common files

## concordance 1.2

=== debian/changelog ===
concordance (1.2-2) unstable; urgency=medium

  * debian/control:
    - Indicate that a VCS is now being used
    - Update standards version to 4.1.4
    - Update Homepage URL
    - Add dh-python to Build-Depends
  * debian/copyright:
    - Update URLs
    - Remove files paragraphs that refer to non-existent files
  * debian/rules:
    - Remove get-orig-source target as this has been removed in 4.1.4
    - Use DEB_*FLAGS_MAINT_APPEND instead of DEB_*FLAGS_APPEND
    - Enable hardening
  * debian/watch:
    - Update URL
  * Added concordance.metainfo.xml file to advertise hardware support

 -- Scott Talbert <swt@techie.net>  Mon, 07 May 2018 23:02:19 -0400

concordance (1.2-1) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * New upstream release 1.2.
  * debian/control, debian/libconcord?.install:
    - Rename libconcord2 to libconcord4 to account for SONAME change.

  [ Scott Talbert ]
  * Fix CFLAGS/CPPFLAGS for concordance so that hardening flags are used
  * Add Scott Talbert as a co-maintainer
  * Bump standards version to 3.9.6

 -- Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>  Mon, 13 Jul 2015 19:58:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: concordance
 Section: utils
 Priority: optional
-Homepage: http://sourceforge.net/projects/concordance
+Homepage: https://www.phildev.net/concordance/
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
-Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), pkg-config, libzip-dev, dh-autoreconf
-Standards-Version: 3.9.5
+Uploaders: Scott Talbert <swt@techie.net>
+Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), pkg-config, libzip-dev, dh-autoreconf, dh-python
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/concordance
+Vcs-Git: https://salsa.debian.org/debian/concordance.git
 
 Package: concordance
 Architecture: any
@@ -18,7 +21,7 @@
  This package contains the binary utility to control and configure the Harmony
  remote.
 
-Package: libconcord3
+Package: libconcord4
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -34,7 +37,7 @@
 Package: libconcord-dev
 Architecture: any
 Section: libdevel
-Depends: libconcord3 (= ${binary:Version}), ${misc:Depends}
+Depends: libconcord4 (= ${binary:Version}), ${misc:Depends}
 Breaks: libconcord1-dev
 Replaces: libconcord1-dev
 Description: configuration tool for Harmony remotes - development files
@@ -48,7 +51,7 @@
 Package: python-libconcord
 Architecture: all
 Section: python
-Depends: libconcord3 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
+Depends: libconcord4 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Harmony remote configuration tool - Python bindings
  The Logitech Harmony is a highly configurable universal IR remote control

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PYVERS=$(shell pyversions -vr)
 
@@ -28,7 +30,7 @@
 
 override_dh_auto_configure:
 	( cd libconcord/ && ./configure --prefix=/usr --sysconfdir=/etc )
-	( cd concordance/ && CFLAGS=" -L../libconcord/.libs " CPPFLAGS=" -I../libconcord " ./configure --prefix=/usr )
+	( cd concordance/ && ./configure --prefix=/usr $(shell DEB_CFLAGS_MAINT_APPEND=-L../libconcord/.libs DEB_CPPFLAGS_MAINT_APPEND=-I../libconcord dpkg-buildflags --export=configure))
 
 build-ext-%:
 	( cd libconcord/bindings/python && python$* ./setup.py build )
@@ -51,12 +53,3 @@
 	find $(CURDIR)/debian -name *.la -delete
 	find $(CURDIR)/debian -name *.a -delete
 	dh_install --fail-missing
-
-get-orig-source:
-	@@dh_testdir
-	@@cd ${DEBIAN_DIR}/.. && \
-	version=$$(uscan --force-download --dehs | \
-		sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p') && \
-		bzcat ../concordance-$${version}.tar.bz2 | gzip -9fn -c - > \
-		${CURDIR}/${DEB_SOURCE_PACKAGE}_$${version}.orig.tar.gz
-

## concordance 1.3

=== debian/changelog ===
concordance (1.3-1) unstable; urgency=medium

  * New upstream release 1.3
  * debian/control:
    - Add subpackage for Python 3 bindings
  * debian/rules:
    - Build Python 3 bindings
  * debian/patches:
    - Remove libzip configure patch which doesn't seem to be needed anymore
  * debian/concordance.metainfo.xml:
    - Change license to CC0-1.0 to fix AppStream error

 -- Scott Talbert <swt@techie.net>  Tue, 12 Jun 2018 22:31:13 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Homepage: https://www.phildev.net/concordance/
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Uploaders: Scott Talbert <swt@techie.net>
-Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), pkg-config, libzip-dev, dh-autoreconf, dh-python
+Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), python3-all-dev, pkg-config, libzip-dev, dh-autoreconf, dh-python
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian/concordance
 Vcs-Git: https://salsa.debian.org/debian/concordance.git
@@ -61,6 +61,19 @@
  .
  This package contains the Python bindings for the concordance framework.
 
+Package: python3-libconcord
+Architecture: all
+Section: python
+Depends: libconcord4 (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Description: Harmony remote configuration tool - Python 3 bindings
+ The Logitech Harmony is a highly configurable universal IR remote control
+ compatible with most multimedia devices. The concordance software suite
+ allows you to program such remotes using a configuration object retrieved
+ from the harmonyremote.com website.
+ .
+ This package contains the Python 3 bindings for the concordance framework.
+
 Package: concordance-common
 Architecture: all
 Depends: ${misc:Depends}, dnsmasq-base

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 PYVERS=$(shell pyversions -vr)
+PY3VERS=$(shell py3versions -vr)
 
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 
 %:
-	dh $@ --with python2,autoreconf
+	dh $@ --with python2,python3,autoreconf
 
 override_dh_auto_clean:
 	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )
@@ -33,18 +34,21 @@
 	( cd concordance/ && ./configure --prefix=/usr $(shell DEB_CFLAGS_MAINT_APPEND=-L../libconcord/.libs DEB_CPPFLAGS_MAINT_APPEND=-I../libconcord dpkg-buildflags --export=configure))
 
 build-ext-%:
-	( cd libconcord/bindings/python && python$* ./setup.py build )
+	( cd libconcord/bindings/python && python$* setup.py build )
 	touch $@
 
-override_dh_auto_build: $(PYVERSL%=build-ext-%)
+override_dh_auto_build: $(PYVERS:%=build-ext-%) $(PY3VERS:%=build-ext-%)
 	( cd libconcord/ && $(MAKE) )
 	( cd libconcord/ && $(MAKE) udev )
 	( cd concordance/ && $(MAKE) )
 
 install-ext-%:
-	( cd libconcord/bindings/python && python$* ./setup.py install --root=$(CURDIR)/debian/python-libconcord )
+	( cd libconcord/bindings/python && python$* setup.py install --root=$(CURDIR)/debian/python-libconcord )
 
-override_dh_auto_install: $(PYVERS:%=install-ext-%)
+install-ext3-%:
+	( cd libconcord/bindings/python && python$* setup.py install --root=$(CURDIR)/debian/python3-libconcord )
+
+override_dh_auto_install: $(PYVERS:%=install-ext-%) $(PY3VERS:%=install-ext3-%)
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
 	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )

## concordance 1.4

=== debian/changelog ===
concordance (1.4-2) unstable; urgency=medium

  * No-change rebuild to enable migration

 -- Scott Talbert <swt@techie.net>  Sun, 08 Mar 2020 21:23:15 -0400

concordance (1.4-1) unstable; urgency=medium

  * Update to new upstream release 1.4
  * d/control: Update Standards-Version to 4.5.0
  * Change AppStream metadata license to permissive (MIT) to avoid errors

 -- Scott Talbert <swt@techie.net>  Thu, 13 Feb 2020 22:05:04 -0500

concordance (1.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Scott Talbert ]
  * Remove subpackage for Python 2 bindings
  * d/control: update Standards Version to 4.4.0 (no changes needed)
  * d/control: update debhelper version to 12 and switch to debhelper-compat
  * d/patches: remove empty series file and README.source
  * d/concordance.metainfo.xml: change license to match d/copyright
  * d/concordance.metainfo.xml: change id to be a reverse domain name

 -- Scott Talbert <swt@techie.net>  Tue, 23 Jul 2019 22:22:16 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,15 @@
 Homepage: https://www.phildev.net/concordance/
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Uploaders: Scott Talbert <swt@techie.net>
-Build-Depends: debhelper (>= 9), libusb-dev [hurd-any], libhidapi-dev [linux-any kfreebsd-any], python-all-dev (>= 2.6.6-3~), python3-all-dev, pkg-config, libzip-dev, dh-autoreconf, dh-python
-Standards-Version: 4.1.4
+Build-Depends:
+ debhelper-compat (= 12),
+ dh-python,
+ libhidapi-dev [linux-any kfreebsd-any],
+ libusb-dev [hurd-any],
+ libzip-dev,
+ pkg-config,
+ python3-all-dev,
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/concordance
 Vcs-Git: https://salsa.debian.org/debian/concordance.git
 
@@ -21,7 +28,7 @@
  This package contains the binary utility to control and configure the Harmony
  remote.
 
-Package: libconcord4
+Package: libconcord5
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -37,7 +44,7 @@
 Package: libconcord-dev
 Architecture: any
 Section: libdevel
-Depends: libconcord4 (= ${binary:Version}), ${misc:Depends}
+Depends: libconcord5 (= ${binary:Version}), ${misc:Depends}
 Breaks: libconcord1-dev
 Replaces: libconcord1-dev
 Description: configuration tool for Harmony remotes - development files
@@ -48,23 +55,10 @@
  .
  This package contains the development files for the concordance framework.
 
-Package: python-libconcord
-Architecture: all
-Section: python
-Depends: libconcord4 (>= ${source:Version}), ${python:Depends}, ${misc:Depends}
-Provides: ${python:Provides}
-Description: Harmony remote configuration tool - Python bindings
- The Logitech Harmony is a highly configurable universal IR remote control
- compatible with most multimedia devices. The concordance software suite
- allows you to program such remotes using a configuration object retrieved
- from the harmonyremote.com website.
- .
- This package contains the Python bindings for the concordance framework.
-
 Package: python3-libconcord
 Architecture: all
 Section: python
-Depends: libconcord4 (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Depends: libconcord5 (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Description: Harmony remote configuration tool - Python 3 bindings
  The Logitech Harmony is a highly configurable universal IR remote control

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-PYVERS=$(shell pyversions -vr)
 PY3VERS=$(shell py3versions -vr)
 
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 
 %:
-	dh $@ --with python2,python3,autoreconf
+	dh $@ --with python3,autoreconf
 
 override_dh_auto_clean:
 	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )
@@ -37,18 +36,15 @@
 	( cd libconcord/bindings/python && python$* setup.py build )
 	touch $@
 
-override_dh_auto_build: $(PYVERS:%=build-ext-%) $(PY3VERS:%=build-ext-%)
+override_dh_auto_build: $(PY3VERS:%=build-ext-%)
 	( cd libconcord/ && $(MAKE) )
 	( cd libconcord/ && $(MAKE) udev )
 	( cd concordance/ && $(MAKE) )
 
-install-ext-%:
-	( cd libconcord/bindings/python && python$* setup.py install --root=$(CURDIR)/debian/python-libconcord )
-
 install-ext3-%:
 	( cd libconcord/bindings/python && python$* setup.py install --root=$(CURDIR)/debian/python3-libconcord )
 
-override_dh_auto_install: $(PYVERS:%=install-ext-%) $(PY3VERS:%=install-ext3-%)
+override_dh_auto_install: $(PY3VERS:%=install-ext3-%)
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
 	( cd libconcord/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install_udev )
 	( cd concordance/ && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install )
@@ -56,4 +52,7 @@
 override_dh_install:
 	find $(CURDIR)/debian -name *.la -delete
 	find $(CURDIR)/debian -name *.a -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing

## concordance 1.5

=== debian/changelog ===
concordance (1.5-2) unstable; urgency=medium

  * Update Standards-Version to 4.6.0 (no changes needed)
  * Update debhelper-compat level to 13
  * Rules-Requires-Root: no

 -- Scott Talbert <swt@techie.net>  Thu, 28 Apr 2022 18:28:56 -0400

concordance (1.5-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Scott Talbert ]
  * Update to new upstream release 1.5
  * Add BDs on libcurl4-openssl-dev and python3-setuptools
  * Adjust sonames for new release

 -- Scott Talbert <swt@techie.net>  Wed, 27 Apr 2022 19:22:18 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Maintainer: Mathieu Trudel-Lapierre <mathieu.tl@gmail.com>
 Uploaders: Scott Talbert <swt@techie.net>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
+ libcurl4-openssl-dev,
  libhidapi-dev [linux-any kfreebsd-any],
  libusb-dev [hurd-any],
  libzip-dev,
  pkg-config,
  python3-all-dev,
-Standards-Version: 4.5.0
+ python3-setuptools,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/concordance
 Vcs-Git: https://salsa.debian.org/debian/concordance.git
+Rules-Requires-Root: no
 
 Package: concordance
 Architecture: any
@@ -28,7 +31,7 @@
  This package contains the binary utility to control and configure the Harmony
  remote.
 
-Package: libconcord5
+Package: libconcord6
 Architecture: any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -44,7 +47,7 @@
 Package: libconcord-dev
 Architecture: any
 Section: libdevel
-Depends: libconcord5 (= ${binary:Version}), ${misc:Depends}
+Depends: libconcord6 (= ${binary:Version}), ${misc:Depends}
 Breaks: libconcord1-dev
 Replaces: libconcord1-dev
 Description: configuration tool for Harmony remotes - development files
@@ -58,7 +61,7 @@
 Package: python3-libconcord
 Architecture: all
 Section: python
-Depends: libconcord5 (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Depends: libconcord6 (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Description: Harmony remote configuration tool - Python 3 bindings
  The Logitech Harmony is a highly configurable universal IR remote control

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 
 %:
-	dh $@ --with python3,autoreconf
+	dh $@ --with python3
 
 override_dh_auto_clean:
 	( cd libconcord/ && [ ! -f Makefile ] || $(MAKE) clean )

=== debian/watch ===
version=4

https://github.com/jaymzh/concordance/releases .*/concordance-(.*)\.tar\.bz2

## concordance 1.6

=== DESCRIPTION ===
Package: concordance
Type: Package
Title: Product Concordance
Version: 1.6
Date: 2016-01-05
Author: Feng Zhu, In Song Kim
Maintainer: In Song Kim <insong@mit.edu>
Description: A set of utilities for matching products in different classification codes used in international trade research. It supports concordance between HS (Combined), ISIC Rev. 2,3, and SITC1,2,3,4 product classification codes, as well as BEC, NAICS, and SIC classifications. It also provides code nomenclature / descriptions look-up, Rauch classification look-up (via concordance to SITC2) and trade elasticity look-up (via concordance to SITC2/3 or HS3.ss).
License: GPL-2
Depends: R (>= 2.10.1)
LazyData: true
NeedsCompilation: no
Packaged: 2016-01-11 04:06:36 UTC; insong
Repository: CRAN
Date/Publication: 2016-01-11 09:44:39

## concordance 2.0.0

=== DESCRIPTION ===
Package: concordance
Type: Package
Title: Product Concordance
Version: 2.0.0
Date: 2020-04-23
Authors@R: c(
  person("Steven", "Liao", email = "steven.liao@ucr.edu", role = c("aut", "cre")),
  person("In Song", "Kim", email = "insong@mit.edu", role = c("aut")),
  person("Sayumi", "Miyano", email = "smiyano@princeton.edu", role = c("aut")),
  person("Feng", "Zhu", email = "zucxjo@gmail.com", role = c("aut"))
  )
Description: A set of utilities for matching products in different
	     classification codes used in international trade
	     research. It supports concordance between the Harmonized
	     System (HS0, HS1, HS2, HS3, HS4, HS5, HS combined), the Standard 
	     International Trade Classification (SITC1, SITC2, SITC3, SITC4), 
	     the North American Industry Classification System (NAICS combined),
	     as well as the Broad Economic Categories (BEC), the International 
	     Standard of Industrial Classification (ISIC), and the Standard Industrial 
	     Classification (SIC). It also provides code nomenclature/descriptions 
	     look-up, Rauch classification look-up (via concordance to SITC2), and
	     trade elasticity look-up (via concordance to HS0 or SITC3
	     codes).
License: GPL-2
Depends: R (>= 3.6.0)
Imports: dplyr (>= 0.8.5), purrr (>= 0.3.3), rlang (>= 0.4.5), stringr
        (>= 1.4.0), tibble (>= 3.0.0), tidyr (>= 1.0.2)
LazyData: true
BugReports: https://github.com/insongkim/concordance/issues
RoxygenNote: 7.1.0
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-04-23 22:53:15 UTC; stevenliao-ucr
Author: Steven Liao [aut, cre],
  In Song Kim [aut],
  Sayumi Miyano [aut],
  Feng Zhu [aut]
Maintainer: Steven Liao <steven.liao@ucr.edu>
Repository: CRAN
Date/Publication: 2020-04-24 16:10:08 UTC
